# PulpFileClient::RepositoriesFileApi

All URIs are relative to *https://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create**](RepositoriesFileApi.md#create) | **POST** /pulp/api/v3/repositories/file/file/ | Create a file repository
[**delete**](RepositoriesFileApi.md#delete) | **DELETE** {file_file_repository_href} | Delete a file repository
[**list**](RepositoriesFileApi.md#list) | **GET** /pulp/api/v3/repositories/file/file/ | List file repositorys
[**modify**](RepositoriesFileApi.md#modify) | **POST** {file_file_repository_href}modify/ | Modify Repository Content
[**partial_update**](RepositoriesFileApi.md#partial_update) | **PATCH** {file_file_repository_href} | Update a file repository
[**read**](RepositoriesFileApi.md#read) | **GET** {file_file_repository_href} | Inspect a file repository
[**sync**](RepositoriesFileApi.md#sync) | **POST** {file_file_repository_href}sync/ | 
[**update**](RepositoriesFileApi.md#update) | **PUT** {file_file_repository_href} | Update a file repository



## create

> FileFileRepositoryResponse create(file_file_repository)

Create a file repository

 FileRepository represents a single file repository, to which content can be synced, added, or removed.

### Example

```ruby
# load the gem
require 'pulp_file_client'
# setup authorization
PulpFileClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpFileClient::RepositoriesFileApi.new
file_file_repository = PulpFileClient::FileFileRepository.new # FileFileRepository | 

begin
  #Create a file repository
  result = api_instance.create(file_file_repository)
  p result
rescue PulpFileClient::ApiError => e
  puts "Exception when calling RepositoriesFileApi->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **file_file_repository** | [**FileFileRepository**](FileFileRepository.md)|  | 

### Return type

[**FileFileRepositoryResponse**](FileFileRepositoryResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## delete

> AsyncOperationResponse delete(file_file_repository_href)

Delete a file repository

Trigger an asynchronous delete task

### Example

```ruby
# load the gem
require 'pulp_file_client'
# setup authorization
PulpFileClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpFileClient::RepositoriesFileApi.new
file_file_repository_href = 'file_file_repository_href_example' # String | 

begin
  #Delete a file repository
  result = api_instance.delete(file_file_repository_href)
  p result
rescue PulpFileClient::ApiError => e
  puts "Exception when calling RepositoriesFileApi->delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **file_file_repository_href** | **String**|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## list

> PaginatedfileFileRepositoryResponseList list(opts)

List file repositorys

 FileRepository represents a single file repository, to which content can be synced, added, or removed.

### Example

```ruby
# load the gem
require 'pulp_file_client'
# setup authorization
PulpFileClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpFileClient::RepositoriesFileApi.new
opts = {
  limit: 56, # Integer | Number of results to return per page.
  name: 'name_example', # String | 
  name__contains: 'name__contains_example', # String | Filter results where name contains value
  name__icontains: 'name__icontains_example', # String | Filter results where name contains value
  name__in: ['name__in_example'], # Array<String> | Filter results where name is in a comma-separated list of values
  name__startswith: 'name__startswith_example', # String | Filter results where name starts with value
  offset: 56, # Integer | The initial index from which to return the results.
  ordering: 'ordering_example', # String | Which field to use when ordering the results.
  pulp_label_select: 'pulp_label_select_example', # String | Filter labels by search string
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #List file repositorys
  result = api_instance.list(opts)
  p result
rescue PulpFileClient::ApiError => e
  puts "Exception when calling RepositoriesFileApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **name** | **String**|  | [optional] 
 **name__contains** | **String**| Filter results where name contains value | [optional] 
 **name__icontains** | **String**| Filter results where name contains value | [optional] 
 **name__in** | [**Array&lt;String&gt;**](String.md)| Filter results where name is in a comma-separated list of values | [optional] 
 **name__startswith** | **String**| Filter results where name starts with value | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **ordering** | **String**| Which field to use when ordering the results. | [optional] 
 **pulp_label_select** | **String**| Filter labels by search string | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**PaginatedfileFileRepositoryResponseList**](PaginatedfileFileRepositoryResponseList.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## modify

> AsyncOperationResponse modify(file_file_repository_href, repository_add_remove_content)

Modify Repository Content

Trigger an asynchronous task to create a new repository version.

### Example

```ruby
# load the gem
require 'pulp_file_client'
# setup authorization
PulpFileClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpFileClient::RepositoriesFileApi.new
file_file_repository_href = 'file_file_repository_href_example' # String | 
repository_add_remove_content = PulpFileClient::RepositoryAddRemoveContent.new # RepositoryAddRemoveContent | 

begin
  #Modify Repository Content
  result = api_instance.modify(file_file_repository_href, repository_add_remove_content)
  p result
rescue PulpFileClient::ApiError => e
  puts "Exception when calling RepositoriesFileApi->modify: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **file_file_repository_href** | **String**|  | 
 **repository_add_remove_content** | [**RepositoryAddRemoveContent**](RepositoryAddRemoveContent.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## partial_update

> AsyncOperationResponse partial_update(file_file_repository_href, patchedfile_file_repository)

Update a file repository

Trigger an asynchronous partial update task

### Example

```ruby
# load the gem
require 'pulp_file_client'
# setup authorization
PulpFileClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpFileClient::RepositoriesFileApi.new
file_file_repository_href = 'file_file_repository_href_example' # String | 
patchedfile_file_repository = PulpFileClient::PatchedfileFileRepository.new # PatchedfileFileRepository | 

begin
  #Update a file repository
  result = api_instance.partial_update(file_file_repository_href, patchedfile_file_repository)
  p result
rescue PulpFileClient::ApiError => e
  puts "Exception when calling RepositoriesFileApi->partial_update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **file_file_repository_href** | **String**|  | 
 **patchedfile_file_repository** | [**PatchedfileFileRepository**](PatchedfileFileRepository.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## read

> FileFileRepositoryResponse read(file_file_repository_href, opts)

Inspect a file repository

 FileRepository represents a single file repository, to which content can be synced, added, or removed.

### Example

```ruby
# load the gem
require 'pulp_file_client'
# setup authorization
PulpFileClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpFileClient::RepositoriesFileApi.new
file_file_repository_href = 'file_file_repository_href_example' # String | 
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #Inspect a file repository
  result = api_instance.read(file_file_repository_href, opts)
  p result
rescue PulpFileClient::ApiError => e
  puts "Exception when calling RepositoriesFileApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **file_file_repository_href** | **String**|  | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**FileFileRepositoryResponse**](FileFileRepositoryResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## sync

> AsyncOperationResponse sync(file_file_repository_href, repository_sync_url)



Trigger an asynchronous task to sync file content.

### Example

```ruby
# load the gem
require 'pulp_file_client'
# setup authorization
PulpFileClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpFileClient::RepositoriesFileApi.new
file_file_repository_href = 'file_file_repository_href_example' # String | 
repository_sync_url = PulpFileClient::RepositorySyncURL.new # RepositorySyncURL | 

begin
  result = api_instance.sync(file_file_repository_href, repository_sync_url)
  p result
rescue PulpFileClient::ApiError => e
  puts "Exception when calling RepositoriesFileApi->sync: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **file_file_repository_href** | **String**|  | 
 **repository_sync_url** | [**RepositorySyncURL**](RepositorySyncURL.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## update

> AsyncOperationResponse update(file_file_repository_href, file_file_repository)

Update a file repository

Trigger an asynchronous update task

### Example

```ruby
# load the gem
require 'pulp_file_client'
# setup authorization
PulpFileClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpFileClient::RepositoriesFileApi.new
file_file_repository_href = 'file_file_repository_href_example' # String | 
file_file_repository = PulpFileClient::FileFileRepository.new # FileFileRepository | 

begin
  #Update a file repository
  result = api_instance.update(file_file_repository_href, file_file_repository)
  p result
rescue PulpFileClient::ApiError => e
  puts "Exception when calling RepositoriesFileApi->update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **file_file_repository_href** | **String**|  | 
 **file_file_repository** | [**FileFileRepository**](FileFileRepository.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json

